package dominio;

public class EstadosTelefono {
	public static final int EN_SILENCIO = 0;
	public static final int EN_ESPERA_DE_LINEA = 1;
	public static final int TIMBRE_SONANDO = 2;
	public static final int DESCOLGADO_RECEPTOR = 3;
	public static final int MARCANDO = 4;
	public static final int RECEPTOR_OCUPADO = 5;
	public static final int RETROLLAMADA_SOLICITADA = 6;
	public static final int NO_HAY_LINEA = 7;
	public static final int NUMERO_INEXISTENTE = 8;
	public static final int ESPERANDO_RESPUESTA = 9;
	public static final int CONVERSANDO = 10;
	public static final int LLAMADA_TERMINADA = 11;
	
	public static String getMensaje(int estado) {
		String result="Error";
		switch (estado) {
		case EstadosTelefono.EN_SILENCIO : result="En silencio"; break;
		case EstadosTelefono.EN_ESPERA_DE_LINEA : result="En espera de lnea"; break;
		case EstadosTelefono.TIMBRE_SONANDO : result="Timbre sonando"; break;
		case EstadosTelefono.DESCOLGADO_RECEPTOR : result="Descolgado receptor"; break;
		case EstadosTelefono.MARCANDO : result="Marcando"; break;
		case EstadosTelefono.RECEPTOR_OCUPADO : result="Receptor ocupado"; break;
		case EstadosTelefono.RETROLLAMADA_SOLICITADA : result="Retrollamada solicitada"; break;
		case EstadosTelefono.NO_HAY_LINEA : result="No hay lnea"; break;
		case EstadosTelefono.NUMERO_INEXISTENTE : result="Nmero inexistente"; break;
		case EstadosTelefono.ESPERANDO_RESPUESTA : result="Esperando respuesta"; break;
		case EstadosTelefono.CONVERSANDO : result="Conversando"; break;
		case EstadosTelefono.LLAMADA_TERMINADA : result="Llamada terminada"; break;
		}
		return result;
	}
}
