package dominio;

public class Reloj implements Runnable {
	protected boolean parado=false;
	protected final long TIMEOUT=10000;
	Linea linea;
	long tiempo;
	
	public Reloj(Linea linea) {
		this.linea=linea;
	}
	
	public void run() {
		while (System.currentTimeMillis()-tiempo<TIMEOUT && !parado) {
			this.linea.setTime((System.currentTimeMillis()-tiempo)/1000);
		}
		if (!parado) {
			linea.liberar();
			parado=true;
		}
	}

	public void iniciarTiempo() {
		tiempo=System.currentTimeMillis();
	}

	public void detener() {
		parado=true;		
	}

}
